function [bruz]=ICI_RICI_clustering(signal,Gamma_ICI,Rc)
% ICI/RICI-based clustering

% signal - input data (time-series)
% Gamma_ICI - ICI parameter Gamma
% Rc - RICI Rc parameter (0 for the ICI algorithm) 

N=length(signal);
rec_signal = zeros(1,N);
sig=std(signal);

bruz=ICI_RICI_region(N,signal,Gamma_ICI,sig,Rc,1);

reg_sum = sum(signal(1:(1+(bruz-1))));
rec_signal(1) = reg_sum / bruz;